petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMKSPSetComputeOperators

set KSP matrix evaluation function

### Synopsis

    #include "petscksp.h"
    PetscErrorCode DMKSPSetComputeOperators(DM dm,PetscErrorCode (*func)(KSP,Mat,Mat,void*),void *ctx)

Not Collective

### Input Argument

| dm | - DM to be used with KSP
| func | - matrix evaluation function, see KSPSetComputeOperators() for calling sequence
| ctx | - context for matrix evaluation

### Note

KSPSetComputeOperators() is normally used, but it calls this function internally because the user context is actually associated with the DM. This makes the interface consistent regardless of whether the user interacts with a DM or not. If DM took a more central role at some later date, this could become the primary method of setting the matrix.

### See Also

DMKSPSetContext(), DMKSPGetComputeOperators(), KSPSetOperators()

### Level

advanced

### Location

src/ksp/ksp/interface/dmksp.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages